#pragma once
#include "ControlDoc.h"

/***************************************************************************/
/*                                                                         */
/* ControlView: game controller view window                                */
/*                                                                         */
/***************************************************************************/

class ControlView : public CView {
protected:
	ControlView();
	DECLARE_DYNCREATE(ControlView)

protected:
 ControlDoc     *ptrdoc;
 Game           *ptrgame;
 CurrentAction  *action;
 Players        *players;

 long            char_width;
 long            char_height;

public:
virtual       void   OnInitialUpdate ();
afx_msg        int   OnCreate (LPCREATESTRUCT);  // make gray brush
virtual ControlDoc*  GetDocument ();

protected:
afx_msg    LRESULT  CmActionDone (WPARAM, LPARAM);
virtual       void  OnUpdate (CView*, LPARAM, CObject*);
virtual       void  GetAvgCharDims ();
virtual       void  RemoveObjects ();
virtual       void  OnDraw(CDC* pDC);      // overridden to draw this view
virtual            ~ControlView();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	DECLARE_MESSAGE_MAP()
};
