#pragma once
class HeadDoc;
#include "resource.h"

/***************************************************************************/
/*                                                                         */
/* HeadView Class: provide battle selection capabilities                  */
/*                                                                         */
/***************************************************************************/

class HeadView : public CFormView {
protected: // create from serialization only
	HeadView();
	DECLARE_DYNCREATE(HeadView)

enum {IDD = IDD_HEAD};

char msg_descr[MAX_PATH];
char msg_file[MAX_PATH];
char msg_status[80];
char msg_active[80];
long num_battles;
long selection;

public:
	HeadDoc* GetDocument();
 void     OnUpdate (CView*, LPARAM, CObject*);
 void     DoDataExchange (CDataExchange*);
	virtual ~HeadView();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	DECLARE_MESSAGE_MAP()
};
#ifndef _DEBUG  // debug version in HeadView.cpp
inline HeadDoc* HeadView::GetDocument() { return (HeadDoc*)m_pDocument; }
#endif
