#pragma once

class RYGWindow : public CWnd {
	DECLARE_DYNAMIC(RYGWindow)
public:
	         RYGWindow();
	virtual ~RYGWindow();

 CString  text;        // text message to show right of buttons
 CPoint   textStart;   // coords of the text message
 // the three buttons, outer and inner colored circles
 CRect    outerRed;
 CRect    red;
 CRect    outerYellow;
 CRect    yellow;
 CRect    outerGreen;
 CRect    green;

 CRect    client;      // the client rect size
 CBrush   brushRed;
 CBrush   brushYellow;
 CBrush   brushGreen;

 int      whichChecked; // transfer buffer, indicates which button is on
 int      whichFocus;   // when tabbing, which button has the focus

protected:
	DECLARE_MESSAGE_MAP()
public:
 BOOL PreCreateWindow(CREATESTRUCT& cs);
 afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
 afx_msg int  OnCreate(LPCREATESTRUCT lpCreateStruct);
 afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
 afx_msg void OnPaint();
 afx_msg void OnSize(UINT nType, int cx, int cy);
         void SetChecked (int which);
         int  GetChecked () const;
         bool StillHasFocus () const;
         void SetText (const char* txt);
};


