#include "StdAfx.h"
#include "Pgm1bApp.h"
#include "FrameWin.h"

Pgm1BApp Pgm1b;  // launch app

/***************************************************************************/
/*                                                                         */
/* InitInstance:   if 800x600 or better resolution, run the application    */
/*                                                                         */
/***************************************************************************/

BOOL  Pgm1BApp::InitInstance () {

 // verify screen resolution is at least 800x600 - large or small fonts are ok
 // because the dialog box is too large for 640x480
 if (GetSystemMetrics (SM_CXSCREEN) >= 800) {
  // resoultion is OK, so allocate and run the application
  FrameWin* ptrframe = new FrameWin (NULL,
                      "Font Mapping: Make Selections - Then Press Match Font");
  m_nCmdShow = SW_SHOWMAXIMIZED; // force into full screen mode
  m_pMainWnd = ptrframe;
  m_pMainWnd->ShowWindow (m_nCmdShow);
  m_pMainWnd->UpdateWindow ();
  return TRUE;
 }
 else {
  // resolution is too low, so install a dummy frame and display error box
  m_pMainWnd = new CFrameWnd ();
  MessageBox (NULL, "This App must run in at least 800x600 resolution",
              "Error: the Dialog box is too large to display.", MB_OK);
  PostQuitMessage (0);
  return TRUE;
 }
}
