#include "stdafx.h"
#include "Pgm12a.h"
#include "GetSpringDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// GetSpringDlg dialog - Get user's car weight and pothole depth for Spring Grf
GetSpringDlg::GetSpringDlg (CWnd *pParent, double *ptrm, double *ptrd) 
             : CDialog (GetSpringDlg::IDD, pParent) {
 m_weight = *ptrm;
	m_depth = *ptrd;
 ptrmass  = ptrm;
 ptrdepth = ptrd;
}

void      GetSpringDlg::DoDataExchange (CDataExchange* pDX) {
 CDialog::DoDataExchange(pDX);
 DDX_Text(pDX, IDC_WEIGHT, m_weight);
	DDX_Text(pDX, IDC_DEPTH, m_depth);
}

BEGIN_MESSAGE_MAP(GetSpringDlg, CDialog)
END_MESSAGE_MAP()

void      GetSpringDlg::OnOK () {
 UpdateData (TRUE);
	if (m_weight <= 0 || m_depth <= 0) {
  MessageBeep (0);
  AfxMessageBox ("Car's weight or hole's depth cannot be zero or less",
                  MB_OK | MB_ICONSTOP);
  return;
 }
 *ptrmass  = m_weight;
 *ptrdepth = m_depth;
 CDialog::OnOK();
}
