#include "stdafx.h"
#include "Pgm12a.h"
#include "GetTempDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// GetTempDlg dialog - Get user's desired temperature for Blackbody Radiation
GetTempDlg::GetTempDlg (CWnd *pParent, double *ptrt)
           : CDialog (GetTempDlg::IDD, pParent) {
 m_temp = *ptrt;
 ptrtemp = ptrt;
}

void      GetTempDlg::DoDataExchange (CDataExchange* pDX) {
 CDialog::DoDataExchange(pDX);
 DDX_Text(pDX, IDC_BODY_TEMP, m_temp);
}

BEGIN_MESSAGE_MAP(GetTempDlg, CDialog)
END_MESSAGE_MAP()

void      GetTempDlg::OnOK () {
 UpdateData (TRUE);
	if (m_temp <= -273.0) {
  MessageBeep (0);
  AfxMessageBox ("Temperature must be above zero Kelvin (-273 degrees)",
                 MB_OK | MB_ICONSTOP);
  return;
 }
 *ptrtemp = m_temp;
 CDialog::OnOK();
}
