#include "stdafx.h"
#include "Pgm12a.h"
#include "GraphSizeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// GraphSizeDlg dialog - Get user's choice for display size of graph
GraphSizeDlg::GraphSizeDlg (CWnd *pParent, GRAPHSIZE *ptrgr)
            	: CDialog(GraphSizeDlg::IDD, pParent) {
 m_graph_height = 0.0;
 m_graph_width = 0.0;
 m_scrn_width = _T("");
 m_scrn_height = _T("");
	m_revert_screen = false;
 ptrxferbuf = ptrgr;
	m_graph_height  = ptrxferbuf->graph_height;
	m_graph_width   = ptrxferbuf->graph_width;
	m_scrn_width    = ptrxferbuf->scrn_width;
	m_scrn_height   = ptrxferbuf->scrn_height;
 m_revert_screen = ptrxferbuf->revert_screen;
}

void      GraphSizeDlg::DoDataExchange (CDataExchange* pDX) {
 CDialog::DoDataExchange(pDX);
 DDX_Text(pDX, IDC_GRAPH_HEIGHT, m_graph_height);
 DDX_Text(pDX, IDC_GRAPH_WIDTH, m_graph_width);
 DDX_Text(pDX, IDC_SCRN_WIDTH, m_scrn_width);
 DDX_Text(pDX, IDC_SRCN_HEIGHT, m_scrn_height);
	DDX_Check(pDX, IDC_FOLLOW_SCREEN, m_revert_screen);
}

BEGIN_MESSAGE_MAP(GraphSizeDlg, CDialog)
END_MESSAGE_MAP()

void      GraphSizeDlg::OnOK () {
 UpdateData (TRUE);
	ptrxferbuf->graph_width   = m_graph_width;
 ptrxferbuf->graph_height  = m_graph_height;
 ptrxferbuf->revert_screen = m_revert_screen ? true : false;
	CDialog::OnOK();
}
