#include "stdafx.h"
#include "Pgm12a.h"
#include "ViewHeaderDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

ViewHeaderDlg::ViewHeaderDlg (CWnd *pParent, ENHMETAHEADER *ptreh,
                              char *title, char *des)
              : CDialog(ViewHeaderDlg::IDD, pParent) {
	m_bbottom = ptreh->rclBounds.bottom;
	m_bleft = ptreh->rclBounds.left;
	m_bright = ptreh->rclBounds.right;
	m_btop = ptreh->rclBounds.top;
	m_dcx = ptreh->szlDevice.cx;
	m_dcy = ptreh->szlDevice.cy;
	m_dsignature = ptreh->dSignature;
	m_fleft = ptreh->rclFrame.left;
	m_fright = ptreh->rclFrame.right;
	m_ftop = ptreh->rclFrame.top;
	m_fbottom = ptreh->rclFrame.bottom;
	m_itype = ptreh->iType;
	m_mcx = ptreh->szlMillimeters.cx;
	m_mcy = ptreh->szlMillimeters.cy;
	m_nhandles = ptreh->nHandles;
	m_npalentries = ptreh->nPalEntries;
	m_nrecords = ptreh->nRecords;
	m_nsize = ptreh->nSize;
	m_nversion = ptreh->nVersion;
	m_nbytes = ptreh->nBytes;
	m_title = title;
	m_desc = des;
}

void      ViewHeaderDlg::DoDataExchange (CDataExchange* pDX) {
 CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_BBOTTOM, m_bbottom);
	DDX_Text(pDX, IDC_BLEFT, m_bleft);
	DDX_Text(pDX, IDC_BRIGHT, m_bright);
	DDX_Text(pDX, IDC_BTOP, m_btop);
	DDX_Text(pDX, IDC_DCX, m_dcx);
	DDX_Text(pDX, IDC_DCY, m_dcy);
	DDX_Text(pDX, IDC_DESC, m_desc);
	DDX_Text(pDX, IDC_DSIGNATURE, m_dsignature);
	DDX_Text(pDX, IDC_FLEFT, m_fleft);
	DDX_Text(pDX, IDC_FRIGHT, m_fright);
	DDX_Text(pDX, IDC_FTOP, m_ftop);
	DDX_Text(pDX, IDC_ITYPE, m_itype);
	DDX_Text(pDX, IDC_MCX, m_mcx);
	DDX_Text(pDX, IDC_MCY, m_mcy);
	DDX_Text(pDX, IDC_NHANDLES, m_nhandles);
	DDX_Text(pDX, IDC_NPALENTRIES, m_npalentries);
	DDX_Text(pDX, IDC_NRECORDS, m_nrecords);
	DDX_Text(pDX, IDC_NSIZE, m_nsize);
	DDX_Text(pDX, IDC_NVERSION, m_nversion);
	DDX_Text(pDX, IDC_TITLE, m_title);
	DDX_Text(pDX, IDC_FBOTTOM, m_fbottom);
	DDX_Text(pDX, IDC_NBYTES, m_nbytes);
}
 
BEGIN_MESSAGE_MAP(ViewHeaderDlg, CDialog)
END_MESSAGE_MAP()
