#pragma once
#include "FontEnumCBox.h"

/***************************************************************************/
/*                                                                         */
/* EditBar Class: provide Edit buttons and ChooseFont ComboBox             */
/*                                                                         */
/***************************************************************************/

class EditBar : public CToolBar {
// Construction
public:
	FontEnumComboBox m_SearchBox;  // the font enumeration Combobox
	BOOL             m_bVertical;

	     EditBar();
	BOOL Create(CWnd* pParentWnd);
	BOOL SetHorizontal();
	BOOL SetVertical();
	virtual ~EditBar();
	virtual CSize CalcDynamicLayout(int nLength, DWORD dwMode);

protected:
 afx_msg LRESULT FontChange (WPARAM, LPARAM);
	DECLARE_MESSAGE_MAP()
};
