#include "stdafx.h"
#include <ctime>
#include <iostream> // for the random number functions
using namespace std;
#include "Random.h"

/***************************************************************/
/*                                                             */
/* Random: initialize the random number generator              */
/*         using the current time as the seed value            */
/*                                                             */
/***************************************************************/

          Random::Random () {
 srand ((unsigned) time (0)); // use the current time as the seed
}

/***************************************************************/
/*                                                             */
/* Random: for debugging, use the passed seed value            */
/*                                                             */
/***************************************************************/

          Random::Random (unsigned int x) {
 srand (x); // use the passed repeatable seed value
}

/***************************************************************/
/*                                                             */
/* GetRandom: obtain a random number between 1 and numsides    */
/*                                                             */
/***************************************************************/

unsigned  Random::GetRandom (int num_sides) const {
 return (rand () % num_sides) + 1;
}
