#pragma once
#include "TransferNames.h"

/***************************************************************************/
/*                                                                         */
/*  NamesPP: Property Page entering first and last name                    */
/*           Pass a pointer to the transfer buffer                         */
/*           and in OnInitDialog copy from FrameWin xfer buffer            */
/*           Using manual methods of data xfer                             */
/*                                                                         */
/***************************************************************************/

class NamesPP : public CPropertyPage {
	DECLARE_DYNAMIC(NamesPP)
public:
	enum { IDD = IDD_EDITDLG };

protected:
TRANSFER_NAMES original_names;  // saves original names before this edit
TRANSFER_NAMES *ptrparentbuf;   // points to parent's xfer buffer

public:
         	NamesPP(TRANSFER_NAMES *ptrnam);
	virtual ~NamesPP();

afx_msg void   OnClear();   // blank both names
afx_msg void   OnReset();   // reset names back to originals
afx_msg void   OnOK ();     // get and save new name
afx_msg void   OnCancel (); // pitch new name
afx_msg BOOL   OnKillActive (); // get new name here too
afx_msg void   OnEnChangeFirstname();
afx_msg void   OnEnChangeLastname();
virtual BOOL   OnApply();

protected:
 virtual BOOL   OnInitDialog (); // setup dialog controls
	DECLARE_MESSAGE_MAP()
};
