#include "stdafx.h"
#include "Pgm11a.h"
#include "HeadData.h"
#include "HeadDoc.h"
#include "HeadView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNCREATE(HeadView, CFormView)

BEGIN_MESSAGE_MAP(HeadView, CFormView)
END_MESSAGE_MAP()

HeadView::HeadView() : CFormView (HeadView::IDD) {
 msg_descr[0]  = 0;
 msg_file[0]   = 0;
 msg_status[0] = 0;
 msg_active[0] = 0; 
}

HeadView::~HeadView() { }

#ifdef _DEBUG
void HeadView::AssertValid() const { CFormView::AssertValid(); }
void HeadView::Dump(CDumpContext& dc) const { CFormView::Dump(dc); }
HeadDoc* HeadView::GetDocument() { // non-debug version is inline
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(HeadDoc)));
	return (HeadDoc*)m_pDocument;
}
#endif //_DEBUG

/***************************************************************************/
/*                                                                         */
/* OnUpdate: reacquire this battle information and redisplay it            */
/*                                                                         */
/***************************************************************************/

void     HeadView::OnUpdate (CView *ptrsender, LPARAM hint,
                             CObject *ptrdata) {
 HeadDoc *ptrdoc = GetDocument ();
 ptrdoc->GetThisBattle (msg_descr, msg_file, msg_status, msg_active, &selection, &num_battles);
 UpdateData (FALSE);
 Invalidate ();
}

/***************************************************************************/
/*                                                                         */
/* DoDataExchange: transfer the battle information into the controls       */
/*                                                                         */
/***************************************************************************/

void      HeadView::DoDataExchange (CDataExchange *ptrdx) {
 GetDlgItem (IDC_BATTLE_DESCR)->SetWindowText (msg_descr);
 GetDlgItem (IDC_BATTLE_FILE)->SetWindowText (msg_file);
 GetDlgItem (IDC_BATTLE_STATUS)->SetWindowText (msg_status);
 GetDlgItem (IDC_BATTLE_ACTIVE)->SetWindowText (msg_active);
}
