#pragma once
class MainFrame : public CMDIFrameWnd {
protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

public: // create from serialization only
	MainFrame();
	DECLARE_DYNCREATE(MainFrame)

 virtual BOOL  PreCreateWindow(CREATESTRUCT& cs);
	virtual      ~MainFrame();

protected:  // control bar embedded members
 afx_msg void  CmMakeOtherView ();           //  allocate opponent's view
 afx_msg void  CmCloseOtherView ();          // close opponent's view
 afx_msg void  CmEnableServerConnect (CCmdUI*);
 afx_msg void  CmServerConnect ();
 afx_msg int   OnCreate(LPCREATESTRUCT lpCreateStruct);
 afx_msg void  OnClose();
 afx_msg void  OnPaletteChanged (CWnd*);     // pass along palette change requests
 afx_msg BOOL  OnQueryNewPalette ();

public:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	DECLARE_MESSAGE_MAP()
};
