#pragma once
#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif
#include "resource.h"       // main symbols
class HeadDoc;
class HeadDataArray;

class Pgm11aApp : public CWinApp {
public:
	Pgm11aApp();

 char       mainpath[MAX_PATH]; // main path for all the other files
 HeadDoc   *ptrheaddoc;         // ptr to the head document class

 CMultiDocTemplate *ptrcontroltmp;
 CMultiDocTemplate *ptrheadtmp;
 CMultiDocTemplate *ptrplayertmp;
 CMultiDocTemplate *ptrothertmp;

 CString   RetrievePath ();  // retrieve the Registry path of last game
 bool      SavePath (CString& filename); // save this bth file in registry
 CString   GetPaletteFile (CString& bthfile);

	virtual BOOL  InitInstance();
	virtual int   ExitInstance();

 // display error messages when no CWnd
 virtual long  DisplayMsg (long, long, UINT);

 afx_msg void  OnAppAbout();
	DECLARE_MESSAGE_MAP()
};
extern Pgm11aApp theApp;
