#pragma once
#include "GameView.h"
#include "ControlView.h"

class PlayerView : public GameView {
protected:
	PlayerView(); // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(PlayerView)

public:
long playerid; // the player id which is ties into the country numbers

protected:
ControlView  *ptrcontrolview;

virtual void OnDraw(CDC* pDC); // overridden to draw this view
virtual     ~PlayerView();

public:
virtual void  PostPlayerIdAndAddr (long, ControlView*);              
virtual void  Draw (CDC *ptrdc);
virtual void  Render (CRect *ptrclip = NULL);
virtual void  OnInitialUpdate ();
virtual void  OnUpdate (CView*, LPARAM, CObject*);

protected:
afx_msg void  OnKeyDown (UINT, UINT, UINT);
afx_msg void  OnChar (UINT, UINT, UINT);
afx_msg void  CmActionDone ();
afx_msg void  CmUndo ();
afx_msg void  CmEnableUndo (CCmdUI*);

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
DECLARE_MESSAGE_MAP()
};
