#pragma once

class StopButtons : public CButton {
	DECLARE_DYNAMIC(StopButtons)

public:
	         StopButtons();
	virtual ~StopButtons();
     void SetColor (int);
     bool GetChecked () const;
     void SetChecked (bool ck = false);

protected:
 CBrush *ptrbr;   // the colored brush to use
 bool    checked; // true if this one is checked

protected:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual int  CompareItem(LPCOMPAREITEMSTRUCT lpCompareItemStruct);
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct);
	DECLARE_MESSAGE_MAP()
};


