#pragma once
#include "StopButtons.h"
#include "afxwin.h"
#include "RYGWindow.h"

class StopLightDlg : public CDialog {
	DECLARE_DYNAMIC(StopLightDlg)
public:
 StopButtons red, yellow, green; // crude method
  
 RYGWindow rygWindow;            // fancy window version
 
 int which_is_on;                // transfer buffer: crude method
 int which_is_on2;               // transfer buffer: fancy method

 enum { IDD = IDD_DIALOG1 };

          StopLightDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~StopLightDlg();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

         // for the crude method: tracks which is on
         void MaintainRedYellowGreenChecks ();
 virtual void OnOK();
public:
 afx_msg void OnRedButtonClick();   // crude method: track which button
 afx_msg void OnYellowButtonClick();// is on
 afx_msg void OnGreenButtonClick();

 CButton tobereplaced; // fancy method - control to be overlaid by fancy
                       // window
 // handle tabbing to the fancy window buttons
 virtual BOOL PreTranslateMessage(MSG* pMsg);
DECLARE_MESSAGE_MAP()
};
