#include "stdafx.h"
#include "Pgm12a.h"
#include "GetPlaneDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// GetPlaneDlg dialog - Get User's choice for plane wing's width and length
GetPlaneDlg::GetPlaneDlg (CWnd *pParent, double *ptrw, double *ptrl)
            : CDialog (GetPlaneDlg::IDD, pParent) {
 m_length = *ptrl;
 m_width = *ptrw;
 ptrwidth  = ptrw;
 ptrlength = ptrl;
}

void      GetPlaneDlg::DoDataExchange (CDataExchange* pDX) {
 CDialog::DoDataExchange(pDX);
 DDX_Text(pDX, IDC_WING_LEN, m_length);
 DDX_Text(pDX, IDC_WING_WIDTH, m_width);
}

BEGIN_MESSAGE_MAP(GetPlaneDlg, CDialog)
END_MESSAGE_MAP()

void      GetPlaneDlg::OnOK () {
 UpdateData (TRUE);
	if (m_width <= 0 || m_length <= 0) {
  MessageBeep (0);
  AfxMessageBox ("Width and length of plane's wing must be greater than zero",
               MB_OK | MB_ICONSTOP);
  return;
 }
 *ptrwidth  = m_width;
 *ptrlength = m_length;
	CDialog::OnOK();
}
