#pragma once
#include "Position.h"

/***************************************************************************/
/*                                                                         */
/* MapControlBar: Allocate and provides access to the Map Control Dlg bar  */
/*                                                                         */
/***************************************************************************/

class MapControlBar : public CDialogBar {
public:
 CBitmapButton upleft;
 CBitmapButton up;
 CBitmapButton upright;
 CBitmapButton left;
 CBitmapButton scale;
 CBitmapButton right;
 CBitmapButton downleft;
 CBitmapButton down;
 CBitmapButton downright;

protected:
 char  scen[20];     // map center message
 char  szoom[20];    // map zoom value message
 char  sscroll[20];  // map scroll percentage message
 char  sscale[20];   // map scale message

public:
          MapControlBar ();         // construct the dialog bar
 BOOL     Create (CWnd*);           // create the dialog bar
 void     DisplayCenter (Position*);
 void     DisplayZoom (int);
 void     DisplayScroll (int);
 void     DisplayScale (double);
 void     DisplayAll (Position*, int, int, double);
};
