#pragma once
/***************************************************************************/
/*                                                                         */
/* MapLocalStatsBar: Allocate and provides access to the Map Local StatsBar*/
/*                                                                         */
/***************************************************************************/

class MapLocalStatsBar : public CDialogBar {
protected:
 char  sname[20];
 char  snowat[20];
 char  sgday[20];
 char  sgtime[20];
 char  stlcl[20];
 char  sdlcl[20];
 char  swea[20];
 char  sgrnd[20];
 char  srise[20];
 char  sset[20];

public:
        MapLocalStatsBar ();           // construct the dialog bar
 BOOL   Create (CWnd*);                // create the dialog bar
 void   DisplayDay (char*);            // display the game day
 void   DisplayTimeUT (char*);         // display the UT game time
 void   DisplayDayTime (char*, char*); // display both day and time
 void   DisplayMapNowAtValues (        // display all local stats
             char *mnam, char *mpos, char *mtl, char *mdl,  char *mrise,
             char *mset, char *mwea, char *mgrnd);
};
