#include "stdafx.h"
#pragma   hdrstop
#include "OptionsBar.h" 
#include "resource.h"

/***************************************************************************/
/*                                                                         */
/* OptionsBar: Houses options button controls for cities, factories etc    */
/*                                                                         */
/***************************************************************************/

/***************************************************************************/
/*                                                                         */
/* OptionsBar: constructor                                                 */
/*                                                                         */
/***************************************************************************/

OptionsBar::OptionsBar () : CDialogBar () {
 EnableToolTips (TRUE);
}

/***************************************************************************/
/*                                                                         */
/* Create: setup the Options Dialog Bar                                    */
/*                                                                         */
/***************************************************************************/

BOOL      OptionsBar::Create (CWnd *ptrparent) {
 if (CDialogBar::Create (ptrparent, IDD_OPTIONS_DLG,
                         CBRS_FLOATING | CBRS_TOOLTIPS | CBRS_FLYBY,
                         AFX_IDW_CONTROLBAR_FIRST + 3)) {
  cities.AutoLoad (CM_OPTIONS_SHOW_CITY, this);
  factories.AutoLoad (CM_OPTIONS_SHOW_FACTORY, this);
  weather.AutoLoad (CM_OPTIONS_SHOW_WEATHER, this);
  terrain.AutoLoad (CM_OPTIONS_SHOW_TERRAIN, this);
  shipyards.AutoLoad (CM_OPTIONS_SHOW_SHIPYARD, this);
  return TRUE;
 }
 else return FALSE;
}
