#pragma once

/***************************************************************************/
/*                                                                         */
/*  CheckBoxPP: Property Page to determine what to display: names or cursor*/
/*               Use automatic DDX exchange method                         */
/*                                                                         */
/***************************************************************************/

class CheckBoxPP : public CPropertyPage {
	DECLARE_DYNAMIC(CheckBoxPP)
public:
 int  ck_show_name;      // show names when TRUE - accessed by parent
 int  ck_show_cursor;    // show cursor when TRUE - accessed by parent

 enum { IDD = IDD_CHECKBOX };

	CheckBoxPP();
	virtual ~CheckBoxPP();

 afx_msg void OnBnClickedCheckName();
 afx_msg void OnBnClickedCheckCursor();
 virtual BOOL OnApply();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()
};
